Package org.apache.avro

# Class SchemaBuilder.LongBuilder<R>

java.lang.Object
org.apache.avro.SchemaBuilder.PropBuilder<SchemaBuilder.LongBuilder<R>>
org.apache.avro.SchemaBuilder.LongBuilder<R>

Enclosing class:
  `SchemaBuilder`

public static final class SchemaBuilder.LongBuilder<R> extends SchemaBuilder.PropBuilder<SchemaBuilder.LongBuilder<R>>
Builds an Avro long type with optional properties. Set properties with `SchemaBuilder.PropBuilder.prop(String, String)`, and finalize with `endLong()`

## Method Summary

Modifier and Type
Method
Description
`R`
`endLong()`
complete building this type, return control to context
`protected SchemaBuilder.LongBuilder<R>`
`self()`
a self-type for chaining builder subclasses.

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### self

protected SchemaBuilder.LongBuilder<R> self()
Description copied from class: `SchemaBuilder.PropBuilder`
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'

Specified by:
  `self` in class `SchemaBuilder.PropBuilder<SchemaBuilder.LongBuilder<R>>`

### endLong

public R endLong()
complete building this type, return control to context